<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/AIP/include/AIP/AudioInputProcessor.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_cc045affa42b6b559da6861739bda652.html">AIP</a></li><li class="navelem"><a class="el" href="dir_7702e81a4574d959c78d0e2207e83661.html">include</a></li><li class="navelem"><a class="el" href="dir_99c44a41b01529fab191699ee73b1155.html">AIP</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">AudioInputProcessor.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_audio_input_processor_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_CAPABILITYAGENTS_AIP_INCLUDE_AIP_AUDIOINPUTPROCESSOR_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_CAPABILITYAGENTS_AIP_INCLUDE_AIP_AUDIOINPUTPROCESSOR_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;chrono&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;memory&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;unordered_set&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_in_process_attachment_reader_8h.html">AVSCommon/AVS/Attachment/InProcessAttachmentReader.h</a>&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_capability_agent_8h.html">AVSCommon/AVS/CapabilityAgent.h</a>&gt;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_capability_configuration_8h.html">AVSCommon/AVS/CapabilityConfiguration.h</a>&gt;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_capability_configuration_interface_8h.html">AVSCommon/SDKInterfaces/CapabilityConfigurationInterface.h</a>&gt;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_directive_handler_configuration_8h.html">AVSCommon/AVS/DirectiveHandlerConfiguration.h</a>&gt;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_dialog_u_x_state_aggregator_8h.html">AVSCommon/AVS/DialogUXStateAggregator.h</a>&gt;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_audio_input_processor_observer_interface_8h.html">AVSCommon/SDKInterfaces/AudioInputProcessorObserverInterface.h</a>&gt;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_channel_observer_interface_8h.html">AVSCommon/SDKInterfaces/ChannelObserverInterface.h</a>&gt;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_context_manager_interface_8h.html">AVSCommon/SDKInterfaces/ContextManagerInterface.h</a>&gt;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_dialog_u_x_state_observer_interface_8h.html">AVSCommon/SDKInterfaces/DialogUXStateObserverInterface.h</a>&gt;</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_directive_sequencer_interface_8h.html">AVSCommon/SDKInterfaces/DirectiveSequencerInterface.h</a>&gt;</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_exception_encountered_sender_interface_8h.html">AVSCommon/SDKInterfaces/ExceptionEncounteredSenderInterface.h</a>&gt;</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_focus_manager_interface_8h.html">AVSCommon/SDKInterfaces/FocusManagerInterface.h</a>&gt;</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_message_request_observer_interface_8h.html">AVSCommon/SDKInterfaces/MessageRequestObserverInterface.h</a>&gt;</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_message_sender_interface_8h.html">AVSCommon/SDKInterfaces/MessageSenderInterface.h</a>&gt;</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_user_inactivity_monitor_interface_8h.html">AVSCommon/SDKInterfaces/UserInactivityMonitorInterface.h</a>&gt;</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_requires_shutdown_8h.html">AVSCommon/Utils/RequiresShutdown.h</a>&gt;</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_executor_8h.html">AVSCommon/Utils/Threading/Executor.h</a>&gt;</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_timing_2_timer_8h.html">AVSCommon/Utils/Timing/Timer.h</a>&gt;</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_speech_encoder_8h.html">SpeechEncoder/SpeechEncoder.h</a>&gt;</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_audio_provider_8h.html">AudioProvider.h</a>&quot;</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_e_s_p_data_8h.html">ESPData.h</a>&quot;</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_initiator_8h.html">Initiator.h</a>&quot;</span></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="keyword">namespace </span>capabilityAgents {</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="keyword">namespace </span>aip {</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html">   65</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html">AudioInputProcessor</a></div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">avsCommon::avs::CapabilityAgent</a></div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capability_configuration_interface.html">avsCommon::sdkInterfaces::CapabilityConfigurationInterface</a></div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html">avsCommon::sdkInterfaces::DialogUXStateObserverInterface</a></div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html">avsCommon::sdkInterfaces::MessageRequestObserverInterface</a></div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">avsCommon::utils::RequiresShutdown</a></div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        , <span class="keyword">public</span> std::enable_shared_from_this&lt;AudioInputProcessor&gt; {</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a4dc706ff9be6b151c9fab1ae07b43ba2">   74</a></span>&#160;    <span class="keyword">using</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_audio_input_processor_observer_interface.html">ObserverInterface</a> = <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_audio_input_processor_observer_interface.html">avsCommon::sdkInterfaces::AudioInputProcessorObserverInterface</a>;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a8973f2cd1805aa3c75a2a672c80c8fb9">   77</a></span>&#160;    <span class="keyword">static</span> constexpr <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a8973f2cd1805aa3c75a2a672c80c8fb9">KEYWORD_TEXT_STOP</a> = <span class="stringliteral">&quot;STOP&quot;</span>;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#aa30f5984272de44f8f64b65ad2b1d455">   80</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keyword">auto</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#aa30f5984272de44f8f64b65ad2b1d455">INVALID_INDEX</a> = std::numeric_limits&lt;avsCommon::avs::AudioInputStream::Index&gt;::max();</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    <span class="keyword">static</span> std::shared_ptr&lt;AudioInputProcessor&gt; <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a92f408f0582092e0f70219029bffb929">create</a>(</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::DirectiveSequencerInterface&gt; directiveSequencer,</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::MessageSenderInterface&gt; messageSender,</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::ContextManagerInterface&gt; contextManager,</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::FocusManagerInterface&gt; focusManager,</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        std::shared_ptr&lt;avsCommon::avs::DialogUXStateAggregator&gt; dialogUXStateAggregator,</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::ExceptionEncounteredSenderInterface&gt; exceptionEncounteredSender,</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::UserInactivityMonitorInterface&gt; userInactivityNotifier,</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        std::shared_ptr&lt;speechencoder::SpeechEncoder&gt; speechEncoder = <span class="keyword">nullptr</span>,</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;        <a class="code" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a> defaultAudioProvider = <a class="code" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html#a8bb6d6ed0a65c27e2eabac7e869c698a">AudioProvider::null</a>());</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#adbdb82cbb2fd75347926b8df61c0e2c3">addObserver</a>(std::shared_ptr&lt;ObserverInterface&gt; observer);</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a7b21abac79555a079ddb124d72caa1c9">removeObserver</a>(std::shared_ptr&lt;ObserverInterface&gt; observer);</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;    std::future&lt;bool&gt; <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#ac9cc8e33b529059154fb837e278cdada">recognize</a>(</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;        <a class="code" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a> audioProvider,</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;        <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#ad67c47f25039dbd276b53220ff3bc0f4">Initiator</a> initiator,</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;        std::chrono::steady_clock::time_point startOfSpeechTimestamp = std::chrono::steady_clock::now(),</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream.html#a6b73c95dbde8b184f8b3176ff9a3f3f1">avsCommon::avs::AudioInputStream::Index</a> begin = <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#aa30f5984272de44f8f64b65ad2b1d455">INVALID_INDEX</a>,</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream.html#a6b73c95dbde8b184f8b3176ff9a3f3f1">avsCommon::avs::AudioInputStream::Index</a> keywordEnd = <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#aa30f5984272de44f8f64b65ad2b1d455">INVALID_INDEX</a>,</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;        std::string keyword = <span class="stringliteral">&quot;&quot;</span>,</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;        <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_e_s_p_data.html">ESPData</a> espData = <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_e_s_p_data.html#ad2bba3044806a2b1567c2fd538a25de3">ESPData::getEmptyESPData</a>(),</div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;        std::shared_ptr&lt;<span class="keyword">const</span> std::vector&lt;char&gt;&gt; KWDMetadata = <span class="keyword">nullptr</span>);</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;    std::future&lt;bool&gt; <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#aa278c5def06b9461a9532b7b776ed3e4">stopCapture</a>();</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;    std::future&lt;void&gt; <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#aa3165fcc15f534a15185d0ca386c845f">resetState</a>();</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#abe0314472d4d57d404b6da8888643cf7">onContextAvailable</a>(<span class="keyword">const</span> std::string&amp; jsonContext) <span class="keyword">override</span>;</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a598061d219ec34b7b3cc6b6a8650f93e">onContextFailure</a>(<span class="keyword">const</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a8ec2f2403294717c740bfacf5c62d018">avsCommon::sdkInterfaces::ContextRequestError</a> error) <span class="keyword">override</span>;</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a093fa10358a5754ce3ca205b2ae0bf52">onSendCompleted</a>(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">avsCommon::sdkInterfaces::MessageRequestObserverInterface::Status</a> status) <span class="keyword">override</span>;</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a509001408419ff468e442c7be5d4b9b1">onExceptionReceived</a>(<span class="keyword">const</span> std::string&amp; exceptionMessage) <span class="keyword">override</span>;</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;</div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a43e0d411e60f4a714ef453aa2d2098e9">handleDirectiveImmediately</a>(std::shared_ptr&lt;avsCommon::avs::AVSDirective&gt; directive) <span class="keyword">override</span>;</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#aea9c8ddfe130f3609c6258268c576a2f">preHandleDirective</a>(std::shared_ptr&lt;DirectiveInfo&gt; info) <span class="keyword">override</span>;</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#af940cfecba604336c152a7d7b25d841a">handleDirective</a>(std::shared_ptr&lt;DirectiveInfo&gt; info) <span class="keyword">override</span>;</div><div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#af056be10add85a148b2387f724882950">cancelDirective</a>(std::shared_ptr&lt;DirectiveInfo&gt; info) <span class="keyword">override</span>;</div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#af12e043cb4bb7190474ca6b3b77375ec">onDeregistered</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a2c1f3500cf37d70ffd6c1067f9c7f921">avsCommon::avs::DirectiveHandlerConfiguration</a> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#ae3fc27ae8b25b0bbf7bcb32e4e84495c">getConfiguration</a>() <span class="keyword">const override</span>;</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;</div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a591864696e1e04e2935d0db644cd15c6">onFocusChanged</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a066217aef6bc1e0e18dd3a13f467d275">avsCommon::avs::FocusState</a> newFocus) <span class="keyword">override</span>;</div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#af41636eae23a694c8da1b097ee4e2cc1">onDialogUXStateChanged</a>(</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html#a728a1ce41f6997d23f740e452dc5e066">avsCommon::sdkInterfaces::DialogUXStateObserverInterface::DialogUXState</a> newState) <span class="keyword">override</span>;</div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;</div><div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;    std::unordered_set&lt;std::shared_ptr&lt;avsCommon::avs::CapabilityConfiguration&gt;&gt; <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a02eee1aa57a4f529e12f67b0eb5f8a4d">getCapabilityConfigurations</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html">AudioInputProcessor</a>(</div><div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::DirectiveSequencerInterface&gt; directiveSequencer,</div><div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::MessageSenderInterface&gt; messageSender,</div><div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::ContextManagerInterface&gt; contextManager,</div><div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::FocusManagerInterface&gt; focusManager,</div><div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::ExceptionEncounteredSenderInterface&gt; exceptionEncounteredSender,</div><div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::UserInactivityMonitorInterface&gt; userInactivityMonitor,</div><div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;        std::shared_ptr&lt;speechencoder::SpeechEncoder&gt; speechEncoder,</div><div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;        <a class="code" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a> defaultAudioProvider);</div><div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;</div><div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160;    <span class="keywordtype">void</span> doShutdown() <span class="keyword">override</span>;</div><div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;</div><div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;    std::future&lt;bool&gt; expectSpeechTimedOut();</div><div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;</div><div class="line"><a name="l00289"></a><span class="lineno">  289</span>&#160;    <span class="keywordtype">void</span> handleStopCaptureDirective(std::shared_ptr&lt;DirectiveInfo&gt; info);</div><div class="line"><a name="l00290"></a><span class="lineno">  290</span>&#160;</div><div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160;    <span class="keywordtype">void</span> handleExpectSpeechDirective(std::shared_ptr&lt;DirectiveInfo&gt; info);</div><div class="line"><a name="l00297"></a><span class="lineno">  297</span>&#160;</div><div class="line"><a name="l00303"></a><span class="lineno">  303</span>&#160;    <span class="keywordtype">void</span> handleSetEndOfSpeechOffsetDirective(std::shared_ptr&lt;DirectiveInfo&gt; info);</div><div class="line"><a name="l00304"></a><span class="lineno">  304</span>&#160;</div><div class="line"><a name="l00312"></a><span class="lineno">  312</span>&#160;</div><div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160;    <span class="keywordtype">void</span> executePrepareEspPayload(<span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_e_s_p_data.html">ESPData</a> espData);</div><div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;</div><div class="line"><a name="l00339"></a><span class="lineno">  339</span>&#160;    <span class="keywordtype">bool</span> executeRecognize(</div><div class="line"><a name="l00340"></a><span class="lineno">  340</span>&#160;        <a class="code" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a> provider,</div><div class="line"><a name="l00341"></a><span class="lineno">  341</span>&#160;        <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#ad67c47f25039dbd276b53220ff3bc0f4">Initiator</a> initiator,</div><div class="line"><a name="l00342"></a><span class="lineno">  342</span>&#160;        std::chrono::steady_clock::time_point startOfSpeechTimestamp,</div><div class="line"><a name="l00343"></a><span class="lineno">  343</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream.html#a6b73c95dbde8b184f8b3176ff9a3f3f1">avsCommon::avs::AudioInputStream::Index</a> begin,</div><div class="line"><a name="l00344"></a><span class="lineno">  344</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream.html#a6b73c95dbde8b184f8b3176ff9a3f3f1">avsCommon::avs::AudioInputStream::Index</a> keywordEnd,</div><div class="line"><a name="l00345"></a><span class="lineno">  345</span>&#160;        <span class="keyword">const</span> std::string&amp; keyword,</div><div class="line"><a name="l00346"></a><span class="lineno">  346</span>&#160;        std::shared_ptr&lt;<span class="keyword">const</span> std::vector&lt;char&gt;&gt; KWDMetadata);</div><div class="line"><a name="l00347"></a><span class="lineno">  347</span>&#160;</div><div class="line"><a name="l00371"></a><span class="lineno">  371</span>&#160;    <span class="keywordtype">bool</span> executeRecognize(</div><div class="line"><a name="l00372"></a><span class="lineno">  372</span>&#160;        <a class="code" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a> provider,</div><div class="line"><a name="l00373"></a><span class="lineno">  373</span>&#160;        <span class="keyword">const</span> std::string&amp; initiatorJson,</div><div class="line"><a name="l00374"></a><span class="lineno">  374</span>&#160;        std::chrono::steady_clock::time_point startOfSpeechTimestamp = std::chrono::steady_clock::now(),</div><div class="line"><a name="l00375"></a><span class="lineno">  375</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream.html#a6b73c95dbde8b184f8b3176ff9a3f3f1">avsCommon::avs::AudioInputStream::Index</a> begin = <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#aa30f5984272de44f8f64b65ad2b1d455">INVALID_INDEX</a>,</div><div class="line"><a name="l00376"></a><span class="lineno">  376</span>&#160;        <span class="keyword">const</span> std::string&amp; keyword = <span class="stringliteral">&quot;&quot;</span>,</div><div class="line"><a name="l00377"></a><span class="lineno">  377</span>&#160;        std::shared_ptr&lt;<span class="keyword">const</span> std::vector&lt;char&gt;&gt; KWDMetadata = <span class="keyword">nullptr</span>);</div><div class="line"><a name="l00378"></a><span class="lineno">  378</span>&#160;</div><div class="line"><a name="l00388"></a><span class="lineno">  388</span>&#160;    <span class="keywordtype">void</span> executeOnContextAvailable(<span class="keyword">const</span> std::string jsonContext);</div><div class="line"><a name="l00389"></a><span class="lineno">  389</span>&#160;</div><div class="line"><a name="l00396"></a><span class="lineno">  396</span>&#160;    <span class="keywordtype">void</span> executeOnContextFailure(<span class="keyword">const</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a8ec2f2403294717c740bfacf5c62d018">avsCommon::sdkInterfaces::ContextRequestError</a> error);</div><div class="line"><a name="l00397"></a><span class="lineno">  397</span>&#160;</div><div class="line"><a name="l00408"></a><span class="lineno">  408</span>&#160;    <span class="keywordtype">void</span> executeOnFocusChanged(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a066217aef6bc1e0e18dd3a13f467d275">avsCommon::avs::FocusState</a> newFocus);</div><div class="line"><a name="l00409"></a><span class="lineno">  409</span>&#160;</div><div class="line"><a name="l00424"></a><span class="lineno">  424</span>&#160;    <span class="keywordtype">bool</span> executeStopCapture(<span class="keywordtype">bool</span> stopImmediately = <span class="keyword">false</span>, std::shared_ptr&lt;DirectiveInfo&gt; info = <span class="keyword">nullptr</span>);</div><div class="line"><a name="l00425"></a><span class="lineno">  425</span>&#160;</div><div class="line"><a name="l00430"></a><span class="lineno">  430</span>&#160;    <span class="keywordtype">void</span> executeResetState();</div><div class="line"><a name="l00431"></a><span class="lineno">  431</span>&#160;</div><div class="line"><a name="l00445"></a><span class="lineno">  445</span>&#160;    <span class="keywordtype">bool</span> executeExpectSpeech(std::chrono::milliseconds timeout, std::shared_ptr&lt;DirectiveInfo&gt; info);</div><div class="line"><a name="l00446"></a><span class="lineno">  446</span>&#160;</div><div class="line"><a name="l00452"></a><span class="lineno">  452</span>&#160;    <span class="keywordtype">bool</span> executeExpectSpeechTimedOut();</div><div class="line"><a name="l00453"></a><span class="lineno">  453</span>&#160;</div><div class="line"><a name="l00460"></a><span class="lineno">  460</span>&#160;    <span class="keywordtype">void</span> executeOnDialogUXStateChanged(</div><div class="line"><a name="l00461"></a><span class="lineno">  461</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html#a728a1ce41f6997d23f740e452dc5e066">avsCommon::sdkInterfaces::DialogUXStateObserverInterface::DialogUXState</a> newState);</div><div class="line"><a name="l00462"></a><span class="lineno">  462</span>&#160;</div><div class="line"><a name="l00469"></a><span class="lineno">  469</span>&#160;    <span class="keywordtype">void</span> setState(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_audio_input_processor_observer_interface.html#aaec10009cef97fa38316fb0f2beab1c7">ObserverInterface::State</a> state);</div><div class="line"><a name="l00470"></a><span class="lineno">  470</span>&#160;</div><div class="line"><a name="l00476"></a><span class="lineno">  476</span>&#160;    <span class="keywordtype">void</span> removeDirective(std::shared_ptr&lt;DirectiveInfo&gt; info);</div><div class="line"><a name="l00477"></a><span class="lineno">  477</span>&#160;</div><div class="line"><a name="l00479"></a><span class="lineno">  479</span>&#160;    <span class="keywordtype">void</span> sendRequestNow();</div><div class="line"><a name="l00480"></a><span class="lineno">  480</span>&#160;</div><div class="line"><a name="l00482"></a><span class="lineno">  482</span>&#160;</div><div class="line"><a name="l00484"></a><span class="lineno">  484</span>&#160;    std::shared_ptr&lt;avsCommon::sdkInterfaces::DirectiveSequencerInterface&gt; m_directiveSequencer;</div><div class="line"><a name="l00485"></a><span class="lineno">  485</span>&#160;</div><div class="line"><a name="l00487"></a><span class="lineno">  487</span>&#160;    std::shared_ptr&lt;avsCommon::sdkInterfaces::MessageSenderInterface&gt; m_messageSender;</div><div class="line"><a name="l00488"></a><span class="lineno">  488</span>&#160;</div><div class="line"><a name="l00490"></a><span class="lineno">  490</span>&#160;    std::shared_ptr&lt;avsCommon::sdkInterfaces::ContextManagerInterface&gt; m_contextManager;</div><div class="line"><a name="l00491"></a><span class="lineno">  491</span>&#160;</div><div class="line"><a name="l00493"></a><span class="lineno">  493</span>&#160;    std::shared_ptr&lt;avsCommon::sdkInterfaces::FocusManagerInterface&gt; m_focusManager;</div><div class="line"><a name="l00494"></a><span class="lineno">  494</span>&#160;</div><div class="line"><a name="l00496"></a><span class="lineno">  496</span>&#160;    std::shared_ptr&lt;avsCommon::sdkInterfaces::UserInactivityMonitorInterface&gt; m_userInactivityMonitor;</div><div class="line"><a name="l00497"></a><span class="lineno">  497</span>&#160;</div><div class="line"><a name="l00499"></a><span class="lineno">  499</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1_timer.html">avsCommon::utils::timing::Timer</a> m_expectingSpeechTimer;</div><div class="line"><a name="l00500"></a><span class="lineno">  500</span>&#160;</div><div class="line"><a name="l00502"></a><span class="lineno">  502</span>&#160;    std::shared_ptr&lt;speechencoder::SpeechEncoder&gt; m_encoder;</div><div class="line"><a name="l00503"></a><span class="lineno">  503</span>&#160;</div><div class="line"><a name="l00510"></a><span class="lineno">  510</span>&#160;</div><div class="line"><a name="l00513"></a><span class="lineno">  513</span>&#160;    std::unordered_set&lt;std::shared_ptr&lt;ObserverInterface&gt;&gt; m_observers;</div><div class="line"><a name="l00514"></a><span class="lineno">  514</span>&#160;</div><div class="line"><a name="l00519"></a><span class="lineno">  519</span>&#160;    <a class="code" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a> m_defaultAudioProvider;</div><div class="line"><a name="l00520"></a><span class="lineno">  520</span>&#160;</div><div class="line"><a name="l00525"></a><span class="lineno">  525</span>&#160;    <a class="code" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a> m_lastAudioProvider;</div><div class="line"><a name="l00526"></a><span class="lineno">  526</span>&#160;</div><div class="line"><a name="l00532"></a><span class="lineno">  532</span>&#160;    std::shared_ptr&lt;avsCommon::avs::attachment::InProcessAttachmentReader&gt; m_reader;</div><div class="line"><a name="l00533"></a><span class="lineno">  533</span>&#160;</div><div class="line"><a name="l00539"></a><span class="lineno">  539</span>&#160;    std::shared_ptr&lt;avsCommon::avs::attachment::AttachmentReader&gt; m_KWDMetadataReader;</div><div class="line"><a name="l00540"></a><span class="lineno">  540</span>&#160;</div><div class="line"><a name="l00546"></a><span class="lineno">  546</span>&#160;    std::string m_espPayload;</div><div class="line"><a name="l00547"></a><span class="lineno">  547</span>&#160;</div><div class="line"><a name="l00553"></a><span class="lineno">  553</span>&#160;    std::string m_recognizePayload;</div><div class="line"><a name="l00554"></a><span class="lineno">  554</span>&#160;</div><div class="line"><a name="l00561"></a><span class="lineno">  561</span>&#160;    std::shared_ptr&lt;avsCommon::avs::MessageRequest&gt; m_espRequest;</div><div class="line"><a name="l00562"></a><span class="lineno">  562</span>&#160;</div><div class="line"><a name="l00572"></a><span class="lineno">  572</span>&#160;    std::shared_ptr&lt;avsCommon::avs::MessageRequest&gt; m_recognizeRequest;</div><div class="line"><a name="l00573"></a><span class="lineno">  573</span>&#160;</div><div class="line"><a name="l00575"></a><span class="lineno">  575</span>&#160;    std::shared_ptr&lt;avsCommon::avs::MessageRequest&gt; m_recognizeRequestSent;</div><div class="line"><a name="l00576"></a><span class="lineno">  576</span>&#160;</div><div class="line"><a name="l00578"></a><span class="lineno">  578</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_audio_input_processor_observer_interface.html#aaec10009cef97fa38316fb0f2beab1c7">ObserverInterface::State</a> m_state;</div><div class="line"><a name="l00579"></a><span class="lineno">  579</span>&#160;</div><div class="line"><a name="l00581"></a><span class="lineno">  581</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a066217aef6bc1e0e18dd3a13f467d275">avsCommon::avs::FocusState</a> m_focusState;</div><div class="line"><a name="l00582"></a><span class="lineno">  582</span>&#160;</div><div class="line"><a name="l00587"></a><span class="lineno">  587</span>&#160;    <span class="keywordtype">bool</span> m_preparingToSend;</div><div class="line"><a name="l00588"></a><span class="lineno">  588</span>&#160;</div><div class="line"><a name="l00593"></a><span class="lineno">  593</span>&#160;    std::function&lt;void()&gt; m_deferredStopCapture;</div><div class="line"><a name="l00594"></a><span class="lineno">  594</span>&#160;</div><div class="line"><a name="l00596"></a><span class="lineno">  596</span>&#160;    <span class="keywordtype">bool</span> m_initialDialogUXStateReceived;</div><div class="line"><a name="l00597"></a><span class="lineno">  597</span>&#160;</div><div class="line"><a name="l00602"></a><span class="lineno">  602</span>&#160;    <span class="keywordtype">bool</span> m_localStopCapturePerformed;</div><div class="line"><a name="l00603"></a><span class="lineno">  603</span>&#160;</div><div class="line"><a name="l00613"></a><span class="lineno">  613</span>&#160;    std::unique_ptr&lt;std::string&gt; m_precedingExpectSpeechInitiator;</div><div class="line"><a name="l00615"></a><span class="lineno">  615</span>&#160;</div><div class="line"><a name="l00617"></a><span class="lineno">  617</span>&#160;    std::unordered_set&lt;std::shared_ptr&lt;avsCommon::avs::CapabilityConfiguration&gt;&gt; m_capabilityConfigurations;</div><div class="line"><a name="l00618"></a><span class="lineno">  618</span>&#160;</div><div class="line"><a name="l00625"></a><span class="lineno">  625</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1_executor.html">avsCommon::utils::threading::Executor</a> m_executor;</div><div class="line"><a name="l00626"></a><span class="lineno">  626</span>&#160;};</div><div class="line"><a name="l00627"></a><span class="lineno">  627</span>&#160;</div><div class="line"><a name="l00628"></a><span class="lineno">  628</span>&#160;}  <span class="comment">// namespace aip</span></div><div class="line"><a name="l00629"></a><span class="lineno">  629</span>&#160;}  <span class="comment">// namespace capabilityAgents</span></div><div class="line"><a name="l00630"></a><span class="lineno">  630</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00631"></a><span class="lineno">  631</span>&#160;</div><div class="line"><a name="l00632"></a><span class="lineno">  632</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_CAPABILITYAGENTS_AIP_INCLUDE_AIP_AUDIOINPUTPROCESSOR_H_</span></div><div class="ttc" id="_speech_encoder_8h_html"><div class="ttname"><a href="_speech_encoder_8h.html">SpeechEncoder.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">alexaClientSDK::avsCommon::avs::CapabilityAgent</a></div><div class="ttdef"><b>Definition:</b> CapabilityAgent.h:47</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_e_s_p_data_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_e_s_p_data.html">alexaClientSDK::capabilityAgents::aip::ESPData</a></div><div class="ttdef"><b>Definition:</b> ESPData.h:33</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor_html_aea9c8ddfe130f3609c6258268c576a2f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#aea9c8ddfe130f3609c6258268c576a2f">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor::preHandleDirective</a></div><div class="ttdeci">void preHandleDirective(std::shared_ptr&lt; DirectiveInfo &gt; info) override</div><div class="ttdef"><b>Definition:</b> AudioInputProcessor.cpp:271</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor_html_a591864696e1e04e2935d0db644cd15c6"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a591864696e1e04e2935d0db644cd15c6">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor::onFocusChanged</a></div><div class="ttdeci">void onFocusChanged(avsCommon::avs::FocusState newFocus) override</div><div class="ttdef"><b>Definition:</b> AudioInputProcessor.cpp:312</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor_html_adbdb82cbb2fd75347926b8df61c0e2c3"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#adbdb82cbb2fd75347926b8df61c0e2c3">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor::addObserver</a></div><div class="ttdeci">void addObserver(std::shared_ptr&lt; ObserverInterface &gt; observer)</div><div class="ttdef"><b>Definition:</b> AudioInputProcessor.cpp:189</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor_html_aa30f5984272de44f8f64b65ad2b1d455"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#aa30f5984272de44f8f64b65ad2b1d455">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor::INVALID_INDEX</a></div><div class="ttdeci">static const auto INVALID_INDEX</div><div class="ttdoc">A reserved Index value which is considered invalid. </div><div class="ttdef"><b>Definition:</b> AudioInputProcessor.h:80</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capability_configuration_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capability_configuration_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::CapabilityConfigurationInterface</a></div><div class="ttdef"><b>Definition:</b> CapabilityConfigurationInterface.h:32</div></div>
<div class="ttc" id="_audio_input_processor_observer_interface_8h_html"><div class="ttname"><a href="_audio_input_processor_observer_interface_8h.html">AudioInputProcessorObserverInterface.h</a></div></div>
<div class="ttc" id="_capability_agent_8h_html"><div class="ttname"><a href="_capability_agent_8h.html">CapabilityAgent.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor_html_a093fa10358a5754ce3ca205b2ae0bf52"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a093fa10358a5754ce3ca205b2ae0bf52">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor::onSendCompleted</a></div><div class="ttdeci">void onSendCompleted(avsCommon::sdkInterfaces::MessageRequestObserverInterface::Status status) override</div><div class="ttdef"><b>Definition:</b> AudioInputProcessor.cpp:1024</div></div>
<div class="ttc" id="_e_s_p_data_8h_html"><div class="ttname"><a href="_e_s_p_data_8h.html">ESPData.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor_html_af41636eae23a694c8da1b097ee4e2cc1"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#af41636eae23a694c8da1b097ee4e2cc1">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor::onDialogUXStateChanged</a></div><div class="ttdeci">void onDialogUXStateChanged(avsCommon::sdkInterfaces::DialogUXStateObserverInterface::DialogUXState newState) override</div><div class="ttdef"><b>Definition:</b> AudioInputProcessor.cpp:317</div></div>
<div class="ttc" id="_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_timing_2_timer_8h_html"><div class="ttname"><a href="_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_timing_2_timer_8h.html">Timer.h</a></div></div>
<div class="ttc" id="_requires_shutdown_8h_html"><div class="ttname"><a href="_requires_shutdown_8h.html">RequiresShutdown.h</a></div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider_html_a8bb6d6ed0a65c27e2eabac7e869c698a"><div class="ttname"><a href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html#a8bb6d6ed0a65c27e2eabac7e869c698a">alexaClientSDK::capabilityAgents::aip::AudioProvider::null</a></div><div class="ttdeci">static const AudioProvider &amp; null()</div><div class="ttdef"><b>Definition:</b> AudioProvider.h:104</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_html_a8ec2f2403294717c740bfacf5c62d018"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a8ec2f2403294717c740bfacf5c62d018">alexaClientSDK::avsCommon::sdkInterfaces::ContextRequestError</a></div><div class="ttdeci">ContextRequestError</div><div class="ttdef"><b>Definition:</b> ContextRequesterInterface.h:32</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1_executor_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1_executor.html">alexaClientSDK::avsCommon::utils::threading::Executor</a></div><div class="ttdef"><b>Definition:</b> Executor.h:39</div></div>
<div class="ttc" id="_message_request_observer_interface_8h_html"><div class="ttname"><a href="_message_request_observer_interface_8h.html">MessageRequestObserverInterface.h</a></div></div>
<div class="ttc" id="_user_inactivity_monitor_interface_8h_html"><div class="ttname"><a href="_user_inactivity_monitor_interface_8h.html">UserInactivityMonitorInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></div><div class="ttdef"><b>Definition:</b> RequiresShutdown.h:32</div></div>
<div class="ttc" id="_in_process_attachment_reader_8h_html"><div class="ttname"><a href="_in_process_attachment_reader_8h.html">InProcessAttachmentReader.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor_html_abe0314472d4d57d404b6da8888643cf7"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#abe0314472d4d57d404b6da8888643cf7">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor::onContextAvailable</a></div><div class="ttdeci">void onContextAvailable(const std::string &amp;jsonContext) override</div><div class="ttdef"><b>Definition:</b> AudioInputProcessor.cpp:259</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider_html"><div class="ttname"><a href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">alexaClientSDK::capabilityAgents::aip::AudioProvider</a></div><div class="ttdef"><b>Definition:</b> AudioProvider.h:31</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_html_a2c1f3500cf37d70ffd6c1067f9c7f921"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a2c1f3500cf37d70ffd6c1067f9c7f921">alexaClientSDK::avsCommon::avs::DirectiveHandlerConfiguration</a></div><div class="ttdeci">std::unordered_map&lt; NamespaceAndName, BlockingPolicy &gt; DirectiveHandlerConfiguration</div><div class="ttdef"><b>Definition:</b> DirectiveHandlerConfiguration.h:32</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::MessageRequestObserverInterface</a></div><div class="ttdef"><b>Definition:</b> MessageRequestObserverInterface.h:28</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_html_a066217aef6bc1e0e18dd3a13f467d275"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a066217aef6bc1e0e18dd3a13f467d275">alexaClientSDK::avsCommon::avs::FocusState</a></div><div class="ttdeci">FocusState</div><div class="ttdef"><b>Definition:</b> FocusState.h:28</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor_html_a509001408419ff468e442c7be5d4b9b1"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a509001408419ff468e442c7be5d4b9b1">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor::onExceptionReceived</a></div><div class="ttdeci">void onExceptionReceived(const std::string &amp;exceptionMessage) override</div><div class="ttdef"><b>Definition:</b> AudioInputProcessor.cpp:1019</div></div>
<div class="ttc" id="_focus_manager_interface_8h_html"><div class="ttname"><a href="_focus_manager_interface_8h.html">FocusManagerInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor_html_aa278c5def06b9461a9532b7b776ed3e4"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#aa278c5def06b9461a9532b7b776ed3e4">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor::stopCapture</a></div><div class="ttdeci">std::future&lt; bool &gt; stopCapture()</div><div class="ttdef"><b>Definition:</b> AudioInputProcessor.cpp:251</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface_html_a728a1ce41f6997d23f740e452dc5e066"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html#a728a1ce41f6997d23f740e452dc5e066">alexaClientSDK::avsCommon::sdkInterfaces::DialogUXStateObserverInterface::DialogUXState</a></div><div class="ttdeci">DialogUXState</div><div class="ttdoc">The different dialog specific AVS UX states. </div><div class="ttdef"><b>Definition:</b> DialogUXStateObserverInterface.h:32</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor_html_a598061d219ec34b7b3cc6b6a8650f93e"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a598061d219ec34b7b3cc6b6a8650f93e">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor::onContextFailure</a></div><div class="ttdeci">void onContextFailure(const avsCommon::sdkInterfaces::ContextRequestError error) override</div><div class="ttdef"><b>Definition:</b> AudioInputProcessor.cpp:263</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_audio_input_processor_observer_interface_html_aaec10009cef97fa38316fb0f2beab1c7"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_audio_input_processor_observer_interface.html#aaec10009cef97fa38316fb0f2beab1c7">alexaClientSDK::avsCommon::sdkInterfaces::AudioInputProcessorObserverInterface::State</a></div><div class="ttdeci">State</div><div class="ttdoc">The different states the AudioInputProcessor can be in. </div><div class="ttdef"><b>Definition:</b> AudioInputProcessorObserverInterface.h:29</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor_html_a43e0d411e60f4a714ef453aa2d2098e9"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a43e0d411e60f4a714ef453aa2d2098e9">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor::handleDirectiveImmediately</a></div><div class="ttdeci">void handleDirectiveImmediately(std::shared_ptr&lt; avsCommon::avs::AVSDirective &gt; directive) override</div><div class="ttdef"><b>Definition:</b> AudioInputProcessor.cpp:267</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor</a></div><div class="ttdef"><b>Definition:</b> AudioInputProcessor.h:65</div></div>
<div class="ttc" id="_executor_8h_html"><div class="ttname"><a href="_executor_8h.html">Executor.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip_html_ad67c47f25039dbd276b53220ff3bc0f4"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#ad67c47f25039dbd276b53220ff3bc0f4">alexaClientSDK::capabilityAgents::aip::Initiator</a></div><div class="ttdeci">Initiator</div><div class="ttdef"><b>Definition:</b> Initiator.h:28</div></div>
<div class="ttc" id="_directive_handler_configuration_8h_html"><div class="ttname"><a href="_directive_handler_configuration_8h.html">DirectiveHandlerConfiguration.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1_timer_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1_timer.html">alexaClientSDK::avsCommon::utils::timing::Timer</a></div><div class="ttdef"><b>Definition:</b> Timer.h:36</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor_html_a02eee1aa57a4f529e12f67b0eb5f8a4d"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a02eee1aa57a4f529e12f67b0eb5f8a4d">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor::getCapabilityConfigurations</a></div><div class="ttdeci">std::unordered_set&lt; std::shared_ptr&lt; avsCommon::avs::CapabilityConfiguration &gt; &gt; getCapabilityConfigurations() override</div><div class="ttdef"><b>Definition:</b> AudioInputProcessor.cpp:1041</div></div>
<div class="ttc" id="_audio_provider_8h_html"><div class="ttname"><a href="_audio_provider_8h.html">AudioProvider.h</a></div></div>
<div class="ttc" id="_context_manager_interface_8h_html"><div class="ttname"><a href="_context_manager_interface_8h.html">ContextManagerInterface.h</a></div></div>
<div class="ttc" id="_capability_configuration_8h_html"><div class="ttname"><a href="_capability_configuration_8h.html">CapabilityConfiguration.h</a></div></div>
<div class="ttc" id="_message_sender_interface_8h_html"><div class="ttname"><a href="_message_sender_interface_8h.html">MessageSenderInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor_html_a7b21abac79555a079ddb124d72caa1c9"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a7b21abac79555a079ddb124d72caa1c9">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor::removeObserver</a></div><div class="ttdeci">void removeObserver(std::shared_ptr&lt; ObserverInterface &gt; observer)</div><div class="ttdef"><b>Definition:</b> AudioInputProcessor.cpp:197</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor_html_a92f408f0582092e0f70219029bffb929"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a92f408f0582092e0f70219029bffb929">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor::create</a></div><div class="ttdeci">static std::shared_ptr&lt; AudioInputProcessor &gt; create(std::shared_ptr&lt; avsCommon::sdkInterfaces::DirectiveSequencerInterface &gt; directiveSequencer, std::shared_ptr&lt; avsCommon::sdkInterfaces::MessageSenderInterface &gt; messageSender, std::shared_ptr&lt; avsCommon::sdkInterfaces::ContextManagerInterface &gt; contextManager, std::shared_ptr&lt; avsCommon::sdkInterfaces::FocusManagerInterface &gt; focusManager, std::shared_ptr&lt; avsCommon::avs::DialogUXStateAggregator &gt; dialogUXStateAggregator, std::shared_ptr&lt; avsCommon::sdkInterfaces::ExceptionEncounteredSenderInterface &gt; exceptionEncounteredSender, std::shared_ptr&lt; avsCommon::sdkInterfaces::UserInactivityMonitorInterface &gt; userInactivityNotifier, std::shared_ptr&lt; speechencoder::SpeechEncoder &gt; speechEncoder=nullptr, AudioProvider defaultAudioProvider=AudioProvider::null())</div><div class="ttdef"><b>Definition:</b> AudioInputProcessor.cpp:131</div></div>
<div class="ttc" id="_initiator_8h_html"><div class="ttname"><a href="_initiator_8h.html">Initiator.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="_capability_configuration_interface_8h_html"><div class="ttname"><a href="_capability_configuration_interface_8h.html">CapabilityConfigurationInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor_html_a8973f2cd1805aa3c75a2a672c80c8fb9"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a8973f2cd1805aa3c75a2a672c80c8fb9">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor::KEYWORD_TEXT_STOP</a></div><div class="ttdeci">static constexpr const char * KEYWORD_TEXT_STOP</div><div class="ttdoc">A special keyword sent by supported wakeword engines for &quot;Alexa, Stop&quot;. </div><div class="ttdef"><b>Definition:</b> AudioInputProcessor.h:77</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_audio_input_processor_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_audio_input_processor_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::AudioInputProcessorObserverInterface</a></div><div class="ttdoc">A state observer for an AudioInputProcessor. </div><div class="ttdef"><b>Definition:</b> AudioInputProcessorObserverInterface.h:26</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor_html_aa3165fcc15f534a15185d0ca386c845f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#aa3165fcc15f534a15185d0ca386c845f">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor::resetState</a></div><div class="ttdeci">std::future&lt; void &gt; resetState()</div><div class="ttdef"><b>Definition:</b> AudioInputProcessor.cpp:255</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor_html_ae3fc27ae8b25b0bbf7bcb32e4e84495c"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#ae3fc27ae8b25b0bbf7bcb32e4e84495c">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor::getConfiguration</a></div><div class="ttdeci">avsCommon::avs::DirectiveHandlerConfiguration getConfiguration() const override</div><div class="ttdef"><b>Definition:</b> AudioInputProcessor.cpp:181</div></div>
<div class="ttc" id="_dialog_u_x_state_aggregator_8h_html"><div class="ttname"><a href="_dialog_u_x_state_aggregator_8h.html">DialogUXStateAggregator.h</a></div></div>
<div class="ttc" id="_exception_encountered_sender_interface_8h_html"><div class="ttname"><a href="_exception_encountered_sender_interface_8h.html">ExceptionEncounteredSenderInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_e_s_p_data_html_ad2bba3044806a2b1567c2fd538a25de3"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_e_s_p_data.html#ad2bba3044806a2b1567c2fd538a25de3">alexaClientSDK::capabilityAgents::aip::ESPData::getEmptyESPData</a></div><div class="ttdeci">static const ESPData getEmptyESPData()</div><div class="ttdef"><b>Definition:</b> ESPData.cpp:27</div></div>
<div class="ttc" id="_directive_sequencer_interface_8h_html"><div class="ttname"><a href="_directive_sequencer_interface_8h.html">DirectiveSequencerInterface.h</a></div></div>
<div class="ttc" id="_channel_observer_interface_8h_html"><div class="ttname"><a href="_channel_observer_interface_8h.html">ChannelObserverInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor_html_af12e043cb4bb7190474ca6b3b77375ec"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#af12e043cb4bb7190474ca6b3b77375ec">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor::onDeregistered</a></div><div class="ttdeci">void onDeregistered() override</div><div class="ttdef"><b>Definition:</b> AudioInputProcessor.cpp:308</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface_html_a29e40517f71dfc83e3159a8f0f489d7b"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">alexaClientSDK::avsCommon::sdkInterfaces::MessageRequestObserverInterface::Status</a></div><div class="ttdeci">Status</div><div class="ttdef"><b>Definition:</b> MessageRequestObserverInterface.h:33</div></div>
<div class="ttc" id="_dialog_u_x_state_observer_interface_8h_html"><div class="ttname"><a href="_dialog_u_x_state_observer_interface_8h.html">DialogUXStateObserverInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor_html_ac9cc8e33b529059154fb837e278cdada"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#ac9cc8e33b529059154fb837e278cdada">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor::recognize</a></div><div class="ttdeci">std::future&lt; bool &gt; recognize(AudioProvider audioProvider, Initiator initiator, std::chrono::steady_clock::time_point startOfSpeechTimestamp=std::chrono::steady_clock::now(), avsCommon::avs::AudioInputStream::Index begin=INVALID_INDEX, avsCommon::avs::AudioInputStream::Index keywordEnd=INVALID_INDEX, std::string keyword=&quot;&quot;, const ESPData espData=ESPData::getEmptyESPData(), std::shared_ptr&lt; const std::vector&lt; char &gt;&gt; KWDMetadata=nullptr)</div><div class="ttdef"><b>Definition:</b> AudioInputProcessor.cpp:205</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_html_a6b73c95dbde8b184f8b3176ff9a3f3f1"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream.html#a6b73c95dbde8b184f8b3176ff9a3f3f1">alexaClientSDK::avsCommon::utils::sds::SharedDataStream::Index</a></div><div class="ttdeci">uint64_t Index</div><div class="ttdef"><b>Definition:</b> SharedDataStream.h:105</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor_html_af056be10add85a148b2387f724882950"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#af056be10add85a148b2387f724882950">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor::cancelDirective</a></div><div class="ttdeci">void cancelDirective(std::shared_ptr&lt; DirectiveInfo &gt; info) override</div><div class="ttdef"><b>Definition:</b> AudioInputProcessor.cpp:304</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DialogUXStateObserverInterface</a></div><div class="ttdoc">A dialog specific UX state observer. </div><div class="ttdef"><b>Definition:</b> DialogUXStateObserverInterface.h:29</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor_html_af940cfecba604336c152a7d7b25d841a"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#af940cfecba604336c152a7d7b25d841a">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor::handleDirective</a></div><div class="ttdeci">void handleDirective(std::shared_ptr&lt; DirectiveInfo &gt; info) override</div><div class="ttdef"><b>Definition:</b> AudioInputProcessor.cpp:274</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
